package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;

public class InfaTestVisitor
{
	public Object accept(ETLTestOperation op)
	{
		return Boolean.TRUE;
	}

	/**
	 * Process the operation with the results from the accept method calls.  If this method is overridden, the
	 * process method without the result parameters must not be or else each operation will be processed twice.
	 */
	public void process(ETLTestOperation op, TestContext defaultTestContext, Object classResult, Object methodResult, Object operationResult)
			throws Exception
	{
	}

	public void process(ETLTestOperation op, TestContext defaultTestContext) throws Exception
	{
	}

	public Object accept(ETLTestMethod method)
	{
		return Boolean.TRUE;
	}

	public Object accept(ETLTestClass next)
	{
		return Boolean.TRUE;
	}
}
